-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlComponentView

Declaration :

- C++ : class UmlComponentView : public UmlBaseComponentView
- Java : class UmlComponentView extends UmlBaseComponentView

This class manages 'component view'
You can modify it as you want (except the constructor)

Artifact : UmlComponentView

Operation UmlComponentView

Declaration :

- C++ : public: UmlComponentView(void * id, const QCString & n) : UmlBaseComponentView(id, n)
- Java : public UmlComponentView(long id, String n)

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload